package com.qmth.distributed.print.business.bean.dto.approvalForm;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 命题任务审批表Dto
 * @Author: CaoZixuan
 * @Date: 2021-09-06
 */
public class ExamTaskApprovalFormDto {

    @ApiModelProperty(value = "基础信息")
    private BasicInfo basicInfo;

    @ApiModelProperty(value = "考场信息集合")
    private List<ExamRoomInfo> examRoomInfoList;

    @ApiModelProperty(value = "审批信息集合")
    private List<ApprovalInfo> approvalInfoList;

    public BasicInfo getBasicInfo() {
        return basicInfo;
    }

    public void setBasicInfo(BasicInfo basicInfo) {
        this.basicInfo = basicInfo;
    }

    public List<ExamRoomInfo> getExamRoomInfoList() {
        return examRoomInfoList;
    }

    public void setExamRoomInfoList(List<ExamRoomInfo> examRoomInfoList) {
        this.examRoomInfoList = examRoomInfoList;
    }

    public List<ApprovalInfo> getApprovalInfoList() {
        return approvalInfoList;
    }

    public void setApprovalInfoList(List<ApprovalInfo> approvalInfoList) {
        this.approvalInfoList = approvalInfoList;
    }
}
